> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ledger.nxos.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Asset

> The Create Asset API endpoint adds a new asset to the specified ledger. The asset code must be unique and is used in all subsequent operations involving this asset. It can be a simple currency ISO code (e.g., USD, EUR) or include subunit precision (e.g., USD/2, USD/6) for higher accuracy.



## OpenAPI

````yaml ledger-openapi POST /v1/ledger/{ledger_key}/asset
openapi: 3.0.0
info:
  title: Ledger API
  version: 0.0.0
servers:
  - url: https://api.sandbox.nxos.io
    description: single server endpoint
    variables: {}
security: []
tags: []
paths:
  /v1/ledger/{ledger_key}/asset:
    post:
      summary: Create Asset
      description: >-
        The Create Asset API endpoint adds a new asset to the specified ledger.
        The asset code must be unique and is used in all subsequent operations
        involving this asset. It can be a simple currency ISO code (e.g., USD,
        EUR) or include subunit precision (e.g., USD/2, USD/6) for higher
        accuracy.
      operationId: Assets_createAsset
      parameters:
        - $ref: '#/components/parameters/BasicAuthHeader'
        - $ref: '#/components/parameters/LedgerKey'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAssetRequest'
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Asset'
components:
  parameters:
    BasicAuthHeader:
      name: Authorization
      in: header
      required: true
      description: |-
        The Basic Authentication header.
        Format: "Basic {base64(orgID:apiKey)}"
      schema:
        type: string
    LedgerKey:
      name: ledger_key
      in: path
      required: true
      description: |-
        The key of the ledger. 
        Examples: 
        - "123e4567-e89b-12d3-a456-426614174000"
        - "id:123e4567-e89b-12d3-a456-426614174000"
        - "ref:ledger:customer_a"
      schema:
        type: string
  schemas:
    CreateAssetRequest:
      type: object
      required:
        - asset_code
        - scale
      properties:
        asset_code:
          type: string
          minLength: 1
          description: >-
            The code of the asset - needs to be unique for the asset, can be
            anything from a currency ISO code, such as USD

            or a share ticker, such as AAPL, or something else entirely. Can
            optionally also include a scale, such as USD:2, or USD:6

            to represent the number of decimal places to use for the asset. The
            Asset classification is entirely up to the client.
        name:
          type: string
          minLength: 1
          description: The name of the asset
        scale:
          type: integer
          format: int32
          minimum: 0
          description: >-
            The number of decimal places to use for the asset. Defaults to 2 if
            not set, so a scale of 2 would mean 100 is 100/(10^2) = 1.00 units
            of the asset
        symbol:
          type: string
          description: The symbol of the asset, such as $ for USD, or AAPL for Apple shares
        metadata:
          type: object
          additionalProperties: {}
          description: Additional, optional, metadata for the asset
    Asset:
      type: object
      required:
        - asset_code
        - name
        - scale
      properties:
        asset_code:
          type: string
          minLength: 1
          description: The reference of the asset
        name:
          type: string
          description: The name of the asset
        scale:
          type: integer
          format: int32
          minimum: 0
          description: >-
            The scale of the asset. Defines the power of 10 to use for the
            asset. For example, a scale of 2 would mean 100 is 100/(10^2) = 1.00
            units of the asset
        symbol:
          type: string
          description: The symbol of the asset
        metadata:
          type: object
          additionalProperties: {}
          description: Additional, optional, metadata for the asset

````